Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/jo: new aport

From: Orion <systmkor_at_gmail.com>
Date: Sat, 2 Apr 2016 23:06:24 -0700

JSON output from a shell
https://github.com/jpmens/jo/
---
 testing/jo/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/jo/APKBUILD
diff --git a/testing/jo/APKBUILD b/testing/jo/APKBUILD
new file mode 100644
index 0000000..8852622
--- /dev/null
+++ b/testing/jo/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: Orion <systmkor_at_gmail.com>
+# Maintainer: Orion <systmkor_at_gmail.com>
+pkgname=jo
+pkgver=1.0
+pkgrel=0
+pkgdesc="JSON output from a shell"
+url="https://github.com/jpmens/jo/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/jpmens/jo/releases/download/v1.0/jo-1.0.tar.gz"
+
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make check || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="529373bef809ab1281b9e3c01c65f331  jo-1.0.tar.gz"
+sha256sums="d66ec97258d1afad15643fb2d5b5e807153a732ba45c2417adc66669acbde52e  jo-1.0.tar.gz"
+sha512sums="bab15de7a01e9a70f43b50d0bb5eff4724bf9d38b0b56a6fff5768756073a5956e3a5a08c7a4e4a2c88107950a4c1721a09b60868b10a441c1a4c6fec7748036  jo-1.0.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Apr 02 2016 - 23:06:24 GMT